Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003074Piwigophotospublic2014.04.23 12:052014.09.01 10:35
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.7.0RC2Fixed in Version2.7.0RC2 
Summary0003074: [Batch Manger] unit mode, form not validated with many photos
DescriptionIf you have too many photos on batch manager unit mode, you can get from PHP:

> PHP Warning: Unknown: Input variables exceeded 1000. To increase the limit change max_input_vars in php.ini

With 10 variables for each photo, if you have more than 100 photos on the page, the whole form will break :-/

Easy solution for 2.6: limit to 50 photos per page.

Better solution for future version: redesign unit mode with ajax registration (pwg.images.setInfo).
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0003106assignedmistic100 Batch Manager improvements 

-  Notes
(0007600)
svn (reporter)
2014.09.01 10:35

[Subversion] r29349 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3074: no more than 50 photos per page on Batch Manager, unit mode (better fix expected with feature 3106)

- Issue History
Date Modified Username Field Change
2014.04.23 12:05 plg New Issue
2014.04.23 12:05 plg Status new => assigned
2014.04.23 12:05 plg Assigned To => plg
2014.04.23 12:05 plg browser => any
2014.04.23 12:05 plg Web server => Apache 1.3.x
2014.06.11 09:53 plg Target Version 2.6.3 => 2.6.4
2014.08.24 18:52 plg Relationship added related to 0003106
2014.09.01 10:26 plg Description Updated
2014.09.01 10:35 svn Checkin
2014.09.01 10:35 svn Note Added: 0007600
2014.09.01 10:35 plg Status assigned => closed
2014.09.01 10:35 plg Resolution open => fixed
2014.09.01 10:35 plg Fixed in Version => 2.7.0RC2
2014.09.01 10:35 plg Target Version 2.6.4 => 2.7.0RC2


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker